<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Inscripcion StructType
 * @subpackage Structs
 */
class Inscripcion extends AbstractStructBase
{
    /**
     * The IDCAMPANA
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $IDCAMPANA;
    /**
     * The IDOFERTA
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $IDOFERTA;
    /**
     * The USER
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $USER;
    /**
     * The PASS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $PASS;
    /**
     * The RUTCLIENTE
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $RUTCLIENTE;
    /**
     * The NOMBRECLIENTE
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $NOMBRECLIENTE;
    /**
     * The INFO1
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $INFO1;
    /**
     * The TOKEN
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $TOKEN;
    /**
     * The CORREO
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $CORREO;
    /**
     * The AREA_TELEFONO
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $AREA_TELEFONO;
    /**
     * The NUMERO_TELEFONO
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $NUMERO_TELEFONO;
    /**
     * The AREA_MOVIL
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $AREA_MOVIL;
    /**
     * The NUMERO_MOVIL
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $NUMERO_MOVIL;
    /**
     * Constructor method for Inscripcion
     * @uses Inscripcion::setIDCAMPANA()
     * @uses Inscripcion::setIDOFERTA()
     * @uses Inscripcion::setUSER()
     * @uses Inscripcion::setPASS()
     * @uses Inscripcion::setRUTCLIENTE()
     * @uses Inscripcion::setNOMBRECLIENTE()
     * @uses Inscripcion::setINFO1()
     * @uses Inscripcion::setTOKEN()
     * @uses Inscripcion::setCORREO()
     * @uses Inscripcion::setAREA_TELEFONO()
     * @uses Inscripcion::setNUMERO_TELEFONO()
     * @uses Inscripcion::setAREA_MOVIL()
     * @uses Inscripcion::setNUMERO_MOVIL()
     * @param int $iDCAMPANA
     * @param int $iDOFERTA
     * @param string $uSER
     * @param string $pASS
     * @param string $rUTCLIENTE
     * @param string $nOMBRECLIENTE
     * @param string $iNFO1
     * @param string $tOKEN
     * @param string $cORREO
     * @param string $aREA_TELEFONO
     * @param string $nUMERO_TELEFONO
     * @param string $aREA_MOVIL
     * @param string $nUMERO_MOVIL
     */
    public function __construct($iDCAMPANA = null, $iDOFERTA = null, $uSER = null, $pASS = null, $rUTCLIENTE = null, $nOMBRECLIENTE = null, $iNFO1 = null, $tOKEN = null, $cORREO = null, $aREA_TELEFONO = null, $nUMERO_TELEFONO = null, $aREA_MOVIL = null, $nUMERO_MOVIL = null)
    {
        $this
            ->setIDCAMPANA($iDCAMPANA)
            ->setIDOFERTA($iDOFERTA)
            ->setUSER($uSER)
            ->setPASS($pASS)
            ->setRUTCLIENTE($rUTCLIENTE)
            ->setNOMBRECLIENTE($nOMBRECLIENTE)
            ->setINFO1($iNFO1)
            ->setTOKEN($tOKEN)
            ->setCORREO($cORREO)
            ->setAREA_TELEFONO($aREA_TELEFONO)
            ->setNUMERO_TELEFONO($nUMERO_TELEFONO)
            ->setAREA_MOVIL($aREA_MOVIL)
            ->setNUMERO_MOVIL($nUMERO_MOVIL);
    }
    /**
     * Get IDCAMPANA value
     * @return int
     */
    public function getIDCAMPANA()
    {
        return $this->IDCAMPANA;
    }
    /**
     * Set IDCAMPANA value
     * @param int $iDCAMPANA
     * @return \StructType\Inscripcion
     */
    public function setIDCAMPANA($iDCAMPANA = null)
    {
        // validation for constraint: int
        if (!is_null($iDCAMPANA) && !is_numeric($iDCAMPANA)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($iDCAMPANA)), __LINE__);
        }
        $this->IDCAMPANA = $iDCAMPANA;
        return $this;
    }
    /**
     * Get IDOFERTA value
     * @return int
     */
    public function getIDOFERTA()
    {
        return $this->IDOFERTA;
    }
    /**
     * Set IDOFERTA value
     * @param int $iDOFERTA
     * @return \StructType\Inscripcion
     */
    public function setIDOFERTA($iDOFERTA = null)
    {
        // validation for constraint: int
        if (!is_null($iDOFERTA) && !is_numeric($iDOFERTA)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($iDOFERTA)), __LINE__);
        }
        $this->IDOFERTA = $iDOFERTA;
        return $this;
    }
    /**
     * Get USER value
     * @return string|null
     */
    public function getUSER()
    {
        return $this->USER;
    }
    /**
     * Set USER value
     * @param string $uSER
     * @return \StructType\Inscripcion
     */
    public function setUSER($uSER = null)
    {
        // validation for constraint: string
        if (!is_null($uSER) && !is_string($uSER)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($uSER)), __LINE__);
        }
        $this->USER = $uSER;
        return $this;
    }
    /**
     * Get PASS value
     * @return string|null
     */
    public function getPASS()
    {
        return $this->PASS;
    }
    /**
     * Set PASS value
     * @param string $pASS
     * @return \StructType\Inscripcion
     */
    public function setPASS($pASS = null)
    {
        // validation for constraint: string
        if (!is_null($pASS) && !is_string($pASS)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($pASS)), __LINE__);
        }
        $this->PASS = $pASS;
        return $this;
    }
    /**
     * Get RUTCLIENTE value
     * @return string|null
     */
    public function getRUTCLIENTE()
    {
        return $this->RUTCLIENTE;
    }
    /**
     * Set RUTCLIENTE value
     * @param string $rUTCLIENTE
     * @return \StructType\Inscripcion
     */
    public function setRUTCLIENTE($rUTCLIENTE = null)
    {
        // validation for constraint: string
        if (!is_null($rUTCLIENTE) && !is_string($rUTCLIENTE)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($rUTCLIENTE)), __LINE__);
        }
        $this->RUTCLIENTE = $rUTCLIENTE;
        return $this;
    }
    /**
     * Get NOMBRECLIENTE value
     * @return string|null
     */
    public function getNOMBRECLIENTE()
    {
        return $this->NOMBRECLIENTE;
    }
    /**
     * Set NOMBRECLIENTE value
     * @param string $nOMBRECLIENTE
     * @return \StructType\Inscripcion
     */
    public function setNOMBRECLIENTE($nOMBRECLIENTE = null)
    {
        // validation for constraint: string
        if (!is_null($nOMBRECLIENTE) && !is_string($nOMBRECLIENTE)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($nOMBRECLIENTE)), __LINE__);
        }
        $this->NOMBRECLIENTE = $nOMBRECLIENTE;
        return $this;
    }
    /**
     * Get INFO1 value
     * @return string|null
     */
    public function getINFO1()
    {
        return $this->INFO1;
    }
    /**
     * Set INFO1 value
     * @param string $iNFO1
     * @return \StructType\Inscripcion
     */
    public function setINFO1($iNFO1 = null)
    {
        // validation for constraint: string
        if (!is_null($iNFO1) && !is_string($iNFO1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($iNFO1)), __LINE__);
        }
        $this->INFO1 = $iNFO1;
        return $this;
    }
    /**
     * Get TOKEN value
     * @return string|null
     */
    public function getTOKEN()
    {
        return $this->TOKEN;
    }
    /**
     * Set TOKEN value
     * @param string $tOKEN
     * @return \StructType\Inscripcion
     */
    public function setTOKEN($tOKEN = null)
    {
        // validation for constraint: string
        if (!is_null($tOKEN) && !is_string($tOKEN)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($tOKEN)), __LINE__);
        }
        $this->TOKEN = $tOKEN;
        return $this;
    }
    /**
     * Get CORREO value
     * @return string|null
     */
    public function getCORREO()
    {
        return $this->CORREO;
    }
    /**
     * Set CORREO value
     * @param string $cORREO
     * @return \StructType\Inscripcion
     */
    public function setCORREO($cORREO = null)
    {
        // validation for constraint: string
        if (!is_null($cORREO) && !is_string($cORREO)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($cORREO)), __LINE__);
        }
        $this->CORREO = $cORREO;
        return $this;
    }
    /**
     * Get AREA_TELEFONO value
     * @return string|null
     */
    public function getAREA_TELEFONO()
    {
        return $this->AREA_TELEFONO;
    }
    /**
     * Set AREA_TELEFONO value
     * @param string $aREA_TELEFONO
     * @return \StructType\Inscripcion
     */
    public function setAREA_TELEFONO($aREA_TELEFONO = null)
    {
        // validation for constraint: string
        if (!is_null($aREA_TELEFONO) && !is_string($aREA_TELEFONO)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($aREA_TELEFONO)), __LINE__);
        }
        $this->AREA_TELEFONO = $aREA_TELEFONO;
        return $this;
    }
    /**
     * Get NUMERO_TELEFONO value
     * @return string|null
     */
    public function getNUMERO_TELEFONO()
    {
        return $this->NUMERO_TELEFONO;
    }
    /**
     * Set NUMERO_TELEFONO value
     * @param string $nUMERO_TELEFONO
     * @return \StructType\Inscripcion
     */
    public function setNUMERO_TELEFONO($nUMERO_TELEFONO = null)
    {
        // validation for constraint: string
        if (!is_null($nUMERO_TELEFONO) && !is_string($nUMERO_TELEFONO)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($nUMERO_TELEFONO)), __LINE__);
        }
        $this->NUMERO_TELEFONO = $nUMERO_TELEFONO;
        return $this;
    }
    /**
     * Get AREA_MOVIL value
     * @return string|null
     */
    public function getAREA_MOVIL()
    {
        return $this->AREA_MOVIL;
    }
    /**
     * Set AREA_MOVIL value
     * @param string $aREA_MOVIL
     * @return \StructType\Inscripcion
     */
    public function setAREA_MOVIL($aREA_MOVIL = null)
    {
        // validation for constraint: string
        if (!is_null($aREA_MOVIL) && !is_string($aREA_MOVIL)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($aREA_MOVIL)), __LINE__);
        }
        $this->AREA_MOVIL = $aREA_MOVIL;
        return $this;
    }
    /**
     * Get NUMERO_MOVIL value
     * @return string|null
     */
    public function getNUMERO_MOVIL()
    {
        return $this->NUMERO_MOVIL;
    }
    /**
     * Set NUMERO_MOVIL value
     * @param string $nUMERO_MOVIL
     * @return \StructType\Inscripcion
     */
    public function setNUMERO_MOVIL($nUMERO_MOVIL = null)
    {
        // validation for constraint: string
        if (!is_null($nUMERO_MOVIL) && !is_string($nUMERO_MOVIL)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($nUMERO_MOVIL)), __LINE__);
        }
        $this->NUMERO_MOVIL = $nUMERO_MOVIL;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Inscripcion
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
