<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Oferta StructType
 * @subpackage Structs
 */
class Oferta extends AbstractStructBase
{
    /**
     * The ID
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $ID;
    /**
     * The IDCAMPANA
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $IDCAMPANA;
    /**
     * The VALOR_1
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $VALOR_1;
    /**
     * The CODIGOS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $CODIGOS;
    /**
     * The CODIGOS_BARRA
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $CODIGOS_BARRA;
    /**
     * The FECHAINICIO
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $FECHAINICIO;
    /**
     * The DURACION
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $DURACION;
    /**
     * The ESTADO
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $ESTADO;
    /**
     * The NOMBRE
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $NOMBRE;
    /**
     * The MSJ_FINAL
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $MSJ_FINAL;
    /**
     * The MANDATO
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $MANDATO;
    /**
     * The GLOSA
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $GLOSA;
    /**
     * Constructor method for Oferta
     * @uses Oferta::setID()
     * @uses Oferta::setIDCAMPANA()
     * @uses Oferta::setVALOR_1()
     * @uses Oferta::setCODIGOS()
     * @uses Oferta::setCODIGOS_BARRA()
     * @uses Oferta::setFECHAINICIO()
     * @uses Oferta::setDURACION()
     * @uses Oferta::setESTADO()
     * @uses Oferta::setNOMBRE()
     * @uses Oferta::setMSJ_FINAL()
     * @uses Oferta::setMANDATO()
     * @uses Oferta::setGLOSA()
     * @param int $iD
     * @param int $iDCAMPANA
     * @param float $vALOR_1
     * @param bool $cODIGOS
     * @param bool $cODIGOS_BARRA
     * @param string $fECHAINICIO
     * @param int $dURACION
     * @param int $eSTADO
     * @param string $nOMBRE
     * @param string $mSJ_FINAL
     * @param string $mANDATO
     * @param string $gLOSA
     */
    public function __construct($iD = null, $iDCAMPANA = null, $vALOR_1 = null, $cODIGOS = null, $cODIGOS_BARRA = null, $fECHAINICIO = null, $dURACION = null, $eSTADO = null, $nOMBRE = null, $mSJ_FINAL = null, $mANDATO = null, $gLOSA = null)
    {
        $this
            ->setID($iD)
            ->setIDCAMPANA($iDCAMPANA)
            ->setVALOR_1($vALOR_1)
            ->setCODIGOS($cODIGOS)
            ->setCODIGOS_BARRA($cODIGOS_BARRA)
            ->setFECHAINICIO($fECHAINICIO)
            ->setDURACION($dURACION)
            ->setESTADO($eSTADO)
            ->setNOMBRE($nOMBRE)
            ->setMSJ_FINAL($mSJ_FINAL)
            ->setMANDATO($mANDATO)
            ->setGLOSA($gLOSA);
    }
    /**
     * Get ID value
     * @return int
     */
    public function getID()
    {
        return $this->ID;
    }
    /**
     * Set ID value
     * @param int $iD
     * @return \StructType\Oferta
     */
    public function setID($iD = null)
    {
        // validation for constraint: int
        if (!is_null($iD) && !is_numeric($iD)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($iD)), __LINE__);
        }
        $this->ID = $iD;
        return $this;
    }
    /**
     * Get IDCAMPANA value
     * @return int
     */
    public function getIDCAMPANA()
    {
        return $this->IDCAMPANA;
    }
    /**
     * Set IDCAMPANA value
     * @param int $iDCAMPANA
     * @return \StructType\Oferta
     */
    public function setIDCAMPANA($iDCAMPANA = null)
    {
        // validation for constraint: int
        if (!is_null($iDCAMPANA) && !is_numeric($iDCAMPANA)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($iDCAMPANA)), __LINE__);
        }
        $this->IDCAMPANA = $iDCAMPANA;
        return $this;
    }
    /**
     * Get VALOR_1 value
     * @return float
     */
    public function getVALOR_1()
    {
        return $this->VALOR_1;
    }
    /**
     * Set VALOR_1 value
     * @param float $vALOR_1
     * @return \StructType\Oferta
     */
    public function setVALOR_1($vALOR_1 = null)
    {
        $this->VALOR_1 = $vALOR_1;
        return $this;
    }
    /**
     * Get CODIGOS value
     * @return bool
     */
    public function getCODIGOS()
    {
        return $this->CODIGOS;
    }
    /**
     * Set CODIGOS value
     * @param bool $cODIGOS
     * @return \StructType\Oferta
     */
    public function setCODIGOS($cODIGOS = null)
    {
        // validation for constraint: boolean
        if (!is_null($cODIGOS) && !is_bool($cODIGOS)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($cODIGOS)), __LINE__);
        }
        $this->CODIGOS = $cODIGOS;
        return $this;
    }
    /**
     * Get CODIGOS_BARRA value
     * @return bool
     */
    public function getCODIGOS_BARRA()
    {
        return $this->CODIGOS_BARRA;
    }
    /**
     * Set CODIGOS_BARRA value
     * @param bool $cODIGOS_BARRA
     * @return \StructType\Oferta
     */
    public function setCODIGOS_BARRA($cODIGOS_BARRA = null)
    {
        // validation for constraint: boolean
        if (!is_null($cODIGOS_BARRA) && !is_bool($cODIGOS_BARRA)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($cODIGOS_BARRA)), __LINE__);
        }
        $this->CODIGOS_BARRA = $cODIGOS_BARRA;
        return $this;
    }
    /**
     * Get FECHAINICIO value
     * @return string
     */
    public function getFECHAINICIO()
    {
        return $this->FECHAINICIO;
    }
    /**
     * Set FECHAINICIO value
     * @param string $fECHAINICIO
     * @return \StructType\Oferta
     */
    public function setFECHAINICIO($fECHAINICIO = null)
    {
        // validation for constraint: string
        if (!is_null($fECHAINICIO) && !is_string($fECHAINICIO)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($fECHAINICIO)), __LINE__);
        }
        $this->FECHAINICIO = $fECHAINICIO;
        return $this;
    }
    /**
     * Get DURACION value
     * @return int
     */
    public function getDURACION()
    {
        return $this->DURACION;
    }
    /**
     * Set DURACION value
     * @param int $dURACION
     * @return \StructType\Oferta
     */
    public function setDURACION($dURACION = null)
    {
        // validation for constraint: int
        if (!is_null($dURACION) && !is_numeric($dURACION)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($dURACION)), __LINE__);
        }
        $this->DURACION = $dURACION;
        return $this;
    }
    /**
     * Get ESTADO value
     * @return int
     */
    public function getESTADO()
    {
        return $this->ESTADO;
    }
    /**
     * Set ESTADO value
     * @param int $eSTADO
     * @return \StructType\Oferta
     */
    public function setESTADO($eSTADO = null)
    {
        // validation for constraint: int
        if (!is_null($eSTADO) && !is_numeric($eSTADO)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($eSTADO)), __LINE__);
        }
        $this->ESTADO = $eSTADO;
        return $this;
    }
    /**
     * Get NOMBRE value
     * @return string|null
     */
    public function getNOMBRE()
    {
        return $this->NOMBRE;
    }
    /**
     * Set NOMBRE value
     * @param string $nOMBRE
     * @return \StructType\Oferta
     */
    public function setNOMBRE($nOMBRE = null)
    {
        // validation for constraint: string
        if (!is_null($nOMBRE) && !is_string($nOMBRE)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($nOMBRE)), __LINE__);
        }
        $this->NOMBRE = $nOMBRE;
        return $this;
    }
    /**
     * Get MSJ_FINAL value
     * @return string|null
     */
    public function getMSJ_FINAL()
    {
        return $this->MSJ_FINAL;
    }
    /**
     * Set MSJ_FINAL value
     * @param string $mSJ_FINAL
     * @return \StructType\Oferta
     */
    public function setMSJ_FINAL($mSJ_FINAL = null)
    {
        // validation for constraint: string
        if (!is_null($mSJ_FINAL) && !is_string($mSJ_FINAL)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($mSJ_FINAL)), __LINE__);
        }
        $this->MSJ_FINAL = $mSJ_FINAL;
        return $this;
    }
    /**
     * Get MANDATO value
     * @return string|null
     */
    public function getMANDATO()
    {
        return $this->MANDATO;
    }
    /**
     * Set MANDATO value
     * @param string $mANDATO
     * @return \StructType\Oferta
     */
    public function setMANDATO($mANDATO = null)
    {
        // validation for constraint: string
        if (!is_null($mANDATO) && !is_string($mANDATO)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($mANDATO)), __LINE__);
        }
        $this->MANDATO = $mANDATO;
        return $this;
    }
    /**
     * Get GLOSA value
     * @return string|null
     */
    public function getGLOSA()
    {
        return $this->GLOSA;
    }
    /**
     * Set GLOSA value
     * @param string $gLOSA
     * @return \StructType\Oferta
     */
    public function setGLOSA($gLOSA = null)
    {
        // validation for constraint: string
        if (!is_null($gLOSA) && !is_string($gLOSA)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($gLOSA)), __LINE__);
        }
        $this->GLOSA = $gLOSA;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Oferta
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
