<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RespuestaInformacion StructType
 * @subpackage Structs
 */
class RespuestaInformacion extends AbstractStructBase
{
    /**
     * The Respuesta
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Respuesta
     */
    public $Respuesta;
    /**
     * The Informacion
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\DetalleInscripcion
     */
    public $Informacion;
    /**
     * Constructor method for RespuestaInformacion
     * @uses RespuestaInformacion::setRespuesta()
     * @uses RespuestaInformacion::setInformacion()
     * @param \StructType\Respuesta $respuesta
     * @param \StructType\DetalleInscripcion $informacion
     */
    public function __construct(\StructType\Respuesta $respuesta = null, \StructType\DetalleInscripcion $informacion = null)
    {
        $this
            ->setRespuesta($respuesta)
            ->setInformacion($informacion);
    }
    /**
     * Get Respuesta value
     * @return \StructType\Respuesta|null
     */
    public function getRespuesta()
    {
        return $this->Respuesta;
    }
    /**
     * Set Respuesta value
     * @param \StructType\Respuesta $respuesta
     * @return \StructType\RespuestaInformacion
     */
    public function setRespuesta(\StructType\Respuesta $respuesta = null)
    {
        $this->Respuesta = $respuesta;
        return $this;
    }
    /**
     * Get Informacion value
     * @return \StructType\DetalleInscripcion|null
     */
    public function getInformacion()
    {
        return $this->Informacion;
    }
    /**
     * Set Informacion value
     * @param \StructType\DetalleInscripcion $informacion
     * @return \StructType\RespuestaInformacion
     */
    public function setInformacion(\StructType\DetalleInscripcion $informacion = null)
    {
        $this->Informacion = $informacion;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\RespuestaInformacion
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
