<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RespuestaInscripcion StructType
 * @subpackage Structs
 */
class RespuestaInscripcion extends AbstractStructBase
{
    /**
     * The IdTransaccion
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $IdTransaccion;
    /**
     * The Respuesta
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Respuesta
     */
    public $Respuesta;
    /**
     * Constructor method for RespuestaInscripcion
     * @uses RespuestaInscripcion::setIdTransaccion()
     * @uses RespuestaInscripcion::setRespuesta()
     * @param int $idTransaccion
     * @param \StructType\Respuesta $respuesta
     */
    public function __construct($idTransaccion = null, \StructType\Respuesta $respuesta = null)
    {
        $this
            ->setIdTransaccion($idTransaccion)
            ->setRespuesta($respuesta);
    }
    /**
     * Get IdTransaccion value
     * @return int
     */
    public function getIdTransaccion()
    {
        return $this->IdTransaccion;
    }
    /**
     * Set IdTransaccion value
     * @param int $idTransaccion
     * @return \StructType\RespuestaInscripcion
     */
    public function setIdTransaccion($idTransaccion = null)
    {
        // validation for constraint: int
        if (!is_null($idTransaccion) && !is_numeric($idTransaccion)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($idTransaccion)), __LINE__);
        }
        $this->IdTransaccion = $idTransaccion;
        return $this;
    }
    /**
     * Get Respuesta value
     * @return \StructType\Respuesta|null
     */
    public function getRespuesta()
    {
        return $this->Respuesta;
    }
    /**
     * Set Respuesta value
     * @param \StructType\Respuesta $respuesta
     * @return \StructType\RespuestaInscripcion
     */
    public function setRespuesta(\StructType\Respuesta $respuesta = null)
    {
        $this->Respuesta = $respuesta;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\RespuestaInscripcion
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
