<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RespuestaOferta StructType
 * @subpackage Structs
 */
class RespuestaOferta extends AbstractStructBase
{
    /**
     * The Respuesta
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Respuesta
     */
    public $Respuesta;
    /**
     * The DetalleCampaña
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\DetalleCampana
     */
    public $DetalleCampaña;
    /**
     * The Oferta
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfOferta
     */
    public $Oferta;
    /**
     * Constructor method for RespuestaOferta
     * @uses RespuestaOferta::setRespuesta()
     * @uses RespuestaOferta::setDetalleCampaña()
     * @uses RespuestaOferta::setOferta()
     * @param \StructType\Respuesta $respuesta
     * @param \StructType\DetalleCampana $detalleCampaña
     * @param \ArrayType\ArrayOfOferta $oferta
     */
    public function __construct(\StructType\Respuesta $respuesta = null, \StructType\DetalleCampana $detalleCampaña = null, \ArrayType\ArrayOfOferta $oferta = null)
    {
        $this
            ->setRespuesta($respuesta)
            ->setDetalleCampaña($detalleCampaña)
            ->setOferta($oferta);
    }
    /**
     * Get Respuesta value
     * @return \StructType\Respuesta|null
     */
    public function getRespuesta()
    {
        return $this->Respuesta;
    }
    /**
     * Set Respuesta value
     * @param \StructType\Respuesta $respuesta
     * @return \StructType\RespuestaOferta
     */
    public function setRespuesta(\StructType\Respuesta $respuesta = null)
    {
        $this->Respuesta = $respuesta;
        return $this;
    }
    /**
     * Get DetalleCampaña value
     * @return \StructType\DetalleCampana|null
     */
    public function getDetalleCampaña()
    {
        return $this->DetalleCampaña;
    }
    /**
     * Set DetalleCampaña value
     * @param \StructType\DetalleCampana $detalleCampaña
     * @return \StructType\RespuestaOferta
     */
    public function setDetalleCampaña(\StructType\DetalleCampana $detalleCampaña = null)
    {
        $this->DetalleCampaña = $detalleCampaña;
        return $this;
    }
    /**
     * Get Oferta value
     * @return \ArrayType\ArrayOfOferta|null
     */
    public function getOferta()
    {
        return $this->Oferta;
    }
    /**
     * Set Oferta value
     * @param \ArrayType\ArrayOfOferta $oferta
     * @return \StructType\RespuestaOferta
     */
    public function setOferta(\ArrayType\ArrayOfOferta $oferta = null)
    {
        $this->Oferta = $oferta;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\RespuestaOferta
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
